org.apache.solr.client.solrj.response

## Class LukeResponse.FieldTypeInfo

- java.lang.Object
- - org.apache.solr.client.solrj.response.LukeResponse.FieldTypeInfo

All Implemented Interfaces:
  Serializable

Enclosing class:
  LukeResponse

    public static class LukeResponse.FieldTypeInfo
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LukeResponse.FieldTypeInfo(String name)`

### Method Summary

Methods
`String` `getAnalyzer()`
`String` `getClassName()`
`List<String>` `getFields()`
`String` `getName()`
`boolean` `isTokenized()`
`void` `read(NamedList<Object> nl)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LukeResponse.FieldTypeInfo

    public LukeResponse.FieldTypeInfo(String name)

### Method Detail

#### getAnalyzer

    public String getAnalyzer()

#### getClassName

    public String getClassName()

#### getFields

    public List<String> getFields()

#### getName

    public String getName()

#### isTokenized

    public boolean isTokenized()

#### read

    public void read(NamedList<Object> nl)